#! /usr/bin/env lua

require("LuaPlot.BarPlot")
require("LuaPlot.LegendPlot")
require("LuaPlot.PNGHandler")
require("LuaPlot.ChildHandler")

-- Example of bar plot.
local plot = LuaPlot.BarPlot.new{
	data = {{41.6, 76, 200}, {16.6, 78.4, 100}},
	h_labels = {"Group 1", "Group 2"},
	v_labels = {"0", "25", "50", "75", "100", "125", "150", "175", "200"},
	series_colors = {{1,0.3,0.3}, {0.3,1,0.3}, {0.0, 0.3, 1}},
	right_margin = 100,
	label_scale = true,
	label_size = 10,
	line_scale = true,
	handler = LuaPlot.PNGHandler.new("out-barplot.png"),
}

-- Create some useless legends
local legends = {}
for i = 1, 3 do
	legends[i] = LuaPlot.LegendPlot.new{
		v_labels = {"Option 1", "Option 2", "Option 3"},
		series_colors = plot.series_colors,
		label_color = plot.label_color,
		width = 100,
		height = 100,
		handler = LuaPlot.ChildHandler.new(plot, 300, (i - 1) * 100)
	}
end

-- Configure the legends to be plotted on the main ploting
plot.child = {legends[1], legends[2], legends[3]}

-- Render it
plot:render()
