#! /usr/bin/env lua

require("LuaPlot.DotLinePlot")
require("LuaPlot.PNGHandler")

-- Example of dot line plot.
local plot = LuaPlot.DotLinePlot.new{
	data = { {0, 6, 2, 7, 3}, {0, 2, 4, 6, 8} },
	top_bound = 10,
	h_labels = {"2000", "2001", "2002", "2003", "2004"},
	v_labels = {"0", "2", "4", "6", "8", "10"},
	series_colors = { {1,0.3,0.3}, {0.3,1,0.3} },
	label_size = 12,
	handler = LuaPlot.PNGHandler.new("out-dotlineplot.png"),
}

plot.bg_pattern = cairo.Pattern.create_linear(0, 0, plot.width, plot.height)
plot.bg_pattern:add_color_stop_rgb(0, 1, 1, 1)
plot.bg_pattern:add_color_stop_rgb(1, 0.9, 0.9, 0.9)

-- Render it
plot:render()
