--[[
	This file is part of LuaPlot.

	LuaPlot is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LuaPlot is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with LuaPlot.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2009 Lucas Hermann Negri
--]]

require("LuaPlot.Plot")

LuaPlot.BaseHandler = {}
local BaseHandlerMT = {__index = LuaPlot.BaseHandler}

function LuaPlot.BaseHandler.new(filename)
	local self = {}
	setmetatable(self, BaseHandlerMT)
	
	return self
end

function LuaPlot.BaseHandler:prepare(plot)
	plot.text_layout = pangocairo.create_layout(plot.cr)
	plot.font_desc = pango.FontDescription.from_string(plot.label_font)
end

function LuaPlot.BaseHandler:commit(plot)
	plot.cr:destroy()
	self.surface:destroy()
end
