--[[
	This file is part of LuaPlot.

	LuaPlot is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LuaPlot is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with LuaPlot.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2009 Lucas Hermann Negri
--]]

require("LuaPlot.BaseHandler")

LuaPlot.ChildHandler = {}
setmetatable(LuaPlot.ChildHandler, {__index = LuaPlot.BaseHandler})

local ChildHandlerMT = {__index = LuaPlot.ChildHandler}
local super = LuaPlot.BaseHandler

function LuaPlot.ChildHandler.new(parent, x, y)
	local self = {}
	setmetatable(self, ChildHandlerMT)
	
	self.parent = parent
	self.x = x
	self.y = y
	
	return self
end

function LuaPlot.ChildHandler:prepare(plot)
	plot.cr = self.parent.cr
	plot.h_offset = self.x
	plot.v_offset = self.y
	super.prepare(self, plot)
end

function LuaPlot.ChildHandler:commit(plot)
end
