--[[
	This file is part of LuaPlot.

	LuaPlot is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LuaPlot is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with LuaPlot.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2009 Lucas Hermann Negri
--]]

require("LuaPlot.BaseHandler")
require("lgob.gdk")

LuaPlot.GTKHandler = {}
setmetatable(LuaPlot.GTKHandler, {__index = LuaPlot.BaseHandler})

local GTKHandlerMT = {__index = LuaPlot.GTKHandler}
local super = LuaPlot.BaseHandler

function LuaPlot.GTKHandler.new(widget)
	local self = {}
	setmetatable(self, GTKHandlerMT)
	
	self.widget = widget
	
	return self
end

function LuaPlot.GTKHandler:prepare(plot)
	plot.cr = gdk.cairo_create(self.widget:get_window())
	plot.width, plot.height = self.widget:get_size()
	super.prepare(self, plot)
end

function LuaPlot.GTKHandler:commit(plot)
	plot.cr:destroy()
end

function LuaPlot.GTKHandler.expose(plot, event)
	local x, y, w, h = gdk.event_expose_get(event)
	plot:render(x, y, w, h)
	
	return true
end
