--[[
	This file is part of LuaPlot.

	LuaPlot is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LuaPlot is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with LuaPlot.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2009 Lucas Hermann Negri
--]]

require("LuaPlot.BaseHandler")

LuaPlot.SVGHandler = {}
setmetatable(LuaPlot.SVGHandler, {__index = LuaPlot.BaseHandler})

local SVGHandlerMT = {__index = LuaPlot.SVGHandler}
local super = LuaPlot.BaseHandler

function LuaPlot.SVGHandler.new(filename)
	local self = {}
	setmetatable(self, SVGHandlerMT)
	
	self.filename = filename
	
	return self
end

function LuaPlot.SVGHandler:prepare(plot)
	self.surface = cairo.SvgSurface.create(self.filename, plot.width, plot.height)
	plot.cr = cairo.Context.create(self.surface)
	super.prepare(self, plot)
end

function LuaPlot.SVGHandler:commit(plot)
	plot.cr:show_page()
	self.surface:finish()
	super.commit(self, plot)
end
